Get a data view

Base URL
https://{kibana_url}
  • GET /api/data_views/data_view/{viewId}
Auth

Retrieve a single data view by its identifier. Data views identify the Elasticsearch data you want to explore and visualize. They can point to one or more data streams, indices, or index aliases, and use optional runtime fields to compute values at query time. Note that data views are not required for ES|QL-based visualizations. To learn more, refer to the data views documentation.

Path parameters

viewId string required

An identifier for the data view.

Example: ff959d40-b880-11e8-a6d9-e546fe2bba5f

Responses

Indicates a successful call.

application/json
data_view object
allowNoIndex boolean

Allows the data view saved object to exist before the data is available. Defaults to false.

fieldAttrs map string to object
<string> object
count integer

Popularity count for the field.

customDescription string · max length: 300

Custom description for the field.

customLabel string

Custom label for the field.

fieldFormats object

A map of field formats by field name.

fields object
id string
name string

The data view name.

namespaces string[]

An array of space identifiers for sharing the data view between multiple spaces.

runtimeFieldMap map string to object
<string> object
script object required
source string

Script for the runtime field.

type string required

Mapping type of the runtime field.

sourceFilters object[]

The array of field names you want to filter out in Discover.

value string required
timeFieldName string

The timestamp field name, which you use for time-based data views.

title string

Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).

typeMeta object nullable

When you use rollup indices, contains the field list for the rollup data view API endpoints.

aggs object

A map of rollup restrictions by aggregation type and field name.

params object

Properties for retrieving rollup fields.

version string

Object is not found.

application/json
error enum
Values: Not Found
message string
statusCode enum
Values: 404
Base URL
https://{kibana_url}